Citoid service should validate ISSN in mediawiki format
Closed, ResolvedPublic0 Story Points

Description

Insert citation with VisualEditor for "http://chroniclingamerica.loc.gov/lccn/sn85040224/"

Result:

"The Daily Palo Alto times.". ISSN None Check |issn= value (help). Retrieved 2015-06-23. 

Meta data of the target url:

<meta name="DC.title" content="The Daily Palo Alto times." />
<meta name="DC.publisher" content="Times Pub. Co." />
<meta name="DC.issued" content="1905/1943" />
<meta name="DC.identifier" content="info:lccn/sn85040224" />
<meta name="DC.identifier" content="info:oclcnum/11682912" />
<meta name="DC.identifier" content="urn:issn:None" />
<meta name="DC.type" content="text" />
<meta name="DC.subject" content="California--Palo Alto.--fast--(OCoLC)fst01212098" />
<meta name="DC.subject" content="Palo Alto (Calif.)--Newspapers." />
 
<meta name="DC.language" content="eng" />

<link title="MODS Metadata Schema" rel="schema.mods" href="http://www.loc.gov/standards/mods/mods.xsd" />
<meta name="mods.title" content="The Daily Palo Alto times." />
<meta name="mods.place" content="Palo Alto, Calif." />
<meta name="mods.place" content="California--Santa Clara--Palo Alto" />
<meta name="mods.url" content="http://chroniclingamerica.loc.gov/lccn/sn85040224/" />
<meta name="mods.issn" content="None" />
<meta name="mods.lccn" content="sn85040224" />
<meta name="mods.languageTerm" content="eng" />


<meta name="citation_title" content="The Daily Palo Alto times." />
<meta name="citation_issn" content="None" />

While it is unfortunate, it seems not uncommon for loc.gov to output these kind of values. It produces a user-visible error (surfaced through the template parsing preview), but not a native VE error and it will make its way into page content when saved as-is without looking carefully at the preview.

Krinkle created this task.Jun 23 2015, 6:26 AM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added projects: Citoid, VisualEditor.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 6:26 AM
Krinkle renamed this task from Citoid should omit IISN if value from loc.gov is invalid (e.g. "None") to Citoid should omit ISSN if value from loc.gov is invalid (e.g. "None").Jun 23 2015, 6:26 AM
Krinkle set Security to None.
Jdforrester-WMF triaged this task as Low priority.Jun 29 2015, 9:24 PM
Mvolz moved this task from Backlog to IO Tasks on the Citoid board.Jul 21 2015, 12:28 PM
Mvolz renamed this task from Citoid should omit ISSN if value from loc.gov is invalid (e.g. "None") to Citoid service should validate ISSN.Oct 28 2016, 3:26 PM
Mvolz raised the priority of this task from Low to Normal.
Mvolz renamed this task from Citoid service should validate ISSN to Citoid service should validate ISSN in mediawiki format.EditedJan 6 2017, 4:37 PM
Mvolz closed this task as Resolved.
Mvolz added a subscriber: Mvolz.

From T138481, citoid.wikimedia.org/api?format=zotero still yields "ISSN":"undefined1463-9084".

Yeah, we validate in mediawiki format (have for a little while, forgot to resolve this task, apparently), in Zotero format we don't. There is probably an underlying bug somewhere though, I will investigate this in the other task.

Jdforrester-WMF set the point value for this task to 0.Jan 10 2017, 11:27 PM
Jdforrester-WMF moved this task from Backlog to External and Administrivia on the VisualEditor board.

Yeah, we validate in mediawiki format (have for a little while, forgot to resolve this task, apparently), in Zotero format we don't.

I don't know what "mediawiki format" is, but using these simple steps in VisualEditor, the problem still persists:

  • Add a citation
  • Paste url http://chroniclingamerica.loc.gov/lccn/sn85040224/
  • Results in an error:

Yeah, we validate in mediawiki format (have for a little while, forgot to resolve this task, apparently), in Zotero format we don't.

I don't know what "mediawiki format" is, but using these simple steps in VisualEditor, the problem still persists:

  • Add a citation
  • Paste url http://chroniclingamerica.loc.gov/lccn/sn85040224/
  • Results in an error:

Nooooo. :) VE uses mediawiki format, so it means our validation is flawed. Alas.

Mvolz reopened this task as Open.Jan 26 2017, 10:03 AM
Mvolz claimed this task.

Change 334265 had a related patch set uploaded (by Mvolz):
Use stricter validation for ISSNs

https://gerrit.wikimedia.org/r/334265

Change 334265 merged by jenkins-bot:
Use stricter validation for ISSNs

https://gerrit.wikimedia.org/r/334265

mobrovac removed a project: Patch-For-Review.
mobrovac removed a subscriber: gerritbot.
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-03-07T22:08:47Z] <mobrovac@tin> Started deploy [citoid/deploy@5a7e053]: Deploy for T158675 T103478 T159486

Mentioned in SAL (#wikimedia-operations) [2017-03-07T22:11:24Z] <mobrovac@tin> Finished deploy [citoid/deploy@5a7e053]: Deploy for T158675 T103478 T159486 (duration: 02m 36s)

mobrovac closed this task as Resolved.Mar 8 2017, 12:13 AM
mobrovac added a subscriber: mobrovac.

Deployed, resolving.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 8 2017, 12:13 AM